rte_eth_event_macsec_desc(3)

NAME
rte_eth_event_macsec_desc

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

enum rte_eth_event_macsec_type type
enum rte_eth_event_macsec_subtype subtype
uint64_t metadata

Detailed Description

Descriptor for RTE_ETH_EVENT_MACSEC event. Used by ethdev to send extra information of the MACsec offload event.

Definition at line 4115 of file rte_ethdev.h.

Field Documentation

  enum rte_eth_event_macsec_type type
Type of RTE_ETH_EVENT_MACSEC_* event.

Definition at line 4117 of file rte_ethdev.h.

  enum rte_eth_event_macsec_subtype subtype
Type of RTE_ETH_SUBEVENT_MACSEC_* subevent.

Definition at line 4119 of file rte_ethdev.h.

  uint64_t metadata
Event specific metadata.

For the following events, userdata registered with the rte_security_session would be returned as metadata.

See also
    struct rte_security_session_conf

Definition at line 4129 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.